Package org.kapott.hbci.passport

## Class INILetter

- java.lang.Object
- - org.kapott.hbci.passport.INILetter

    public class INILetter
    extends java.lang.Object

Hilfsklasse für das Erzeugen von INI-Briefen (für RDH-Zugänge). Diese Klasse ermöglicht das Erzeugen von INI-Briefen. Dazu werden Methoden bereitgestellt, mit deren Hilfe die für einen INI-Brief benötigten Daten ermittelt werden können. Außerdem liefert die `toString()`-Methode einen vorgefertigten INI-Brief (kann als Vorlage benutzt werden).

### Field Summary

Fields
`static int` `TYPE_INST` INI-Brief für Institutsschlüssel (wird für Vergleich mit tatsächlichem INI-Brief von der Bank benötigt)
`static int` `TYPE_USER` INI-Brief für Nutzerschlüssel erzeugen (muss nach dem Erstellen neuer Schlüssel an die Bank versandt werden)

### Constructor Summary

Constructors
`INILetter​(HBCIPassport passport, int type)` Anlegen eines neuen INI-Brief-Objektes.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static byte[]` `formatKeyData​(java.math.BigInteger x, int minsize)`
`byte[]` `getKeyExponentDisplay()` Gibt den Exponenten des öffentlichen Schlüssels zurück.
`byte[]` `getKeyHashDisplay()` Gibt den Hashwert des öffentlichen Schlüssels zurück.
`byte[]` `getKeyModulusDisplay()` Gibt den Modulus des öffentlichen Schlüssels zurück.
`java.lang.String` `toString()` Gibt einen "fertigen" INI-Brief zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_INST

    public static final int TYPE_INST

INI-Brief für Institutsschlüssel (wird für Vergleich mit tatsächlichem INI-Brief von der Bank benötigt)

See Also:
  Constant Field Values

#### TYPE_USER

    public static final int TYPE_USER

INI-Brief für Nutzerschlüssel erzeugen (muss nach dem Erstellen neuer Schlüssel an die Bank versandt werden)

See Also:
  Constant Field Values

### Constructor Detail

#### INILetter

    public INILetter​(HBCIPassport passport,
                     int type)

Anlegen eines neuen INI-Brief-Objektes.

Parameters:
  `passport` - das Passport-Objekt (entspricht einem HBCI-Zugang), für den ein INI-Brief benötigt wird
  `type` - gibt an, für welche Schlüssel aus dem `passport` der INI-Brief benötigt wird (`TYPE_INST` für die Bankschlüssel, `TYPE_USER` für die Schlüssel des Nutzers)

### Method Detail

#### formatKeyData

    public static byte[] formatKeyData​(java.math.BigInteger x,
                                       int minsize)

#### getKeyModulusDisplay

    public byte[] getKeyModulusDisplay()

Gibt den Modulus des öffentlichen Schlüssels zurück.

Returns:
  Modulus des öffentlichen Schlüssels

#### getKeyExponentDisplay

    public byte[] getKeyExponentDisplay()

Gibt den Exponenten des öffentlichen Schlüssels zurück.

Returns:
  Exponent des öffentlichen Schlüssels

#### getKeyHashDisplay

    public byte[] getKeyHashDisplay()

Gibt den Hashwert des öffentlichen Schlüssels zurück.

Returns:
  Hashwert des öffentlichen Schlüssels

#### toString

    public java.lang.String toString()

Gibt einen "fertigen" INI-Brief zurück.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  INI-Brief